html {
  margin: 0px;
  height: 100%;
  width: 100%;
}

body {
  margin: 0px;
  background-image: linear-gradient(
    to right bottom,
    #af1abe,
    #9424c1,
    #762bc2,
    #5130c2,
    #0a34c0
  );
}

#app {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 50px;
}

#student_name {
  width: 50%;
  text-align: center;
  padding: 5%;
  border-radius: 10px;
  font-size: 30px;
  font-weight: 900;
  background-color: rgba(148, 25, 44, 0.7);
  cursor: pointer;
  animation: zoom-in-out 5s linear 0s infinite normal;
}

#student_name:hover {
  background-color: rgba(148, 25, 44, 1);
  transition: background-color 5s ease;
}

#current_date {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: 5%;
  font-size: 20px;
  font-weight: 900;
  cursor: pointer;
}

.current {
  text-align: center;
  padding: 3%;
  margin: 3%;
  border-radius: 10px;
  animation: zoom-in-out 5s linear 0s infinite normal;
}

.current_hour {
  background-color: rgba(22, 136, 87);
}

.current_day {
  background-color: rgba(223, 80, 32);
}

.current_mounth {
  background-color: rgba(32, 140, 223);
}

.current_year {
  background-color: rgba(220, 223, 32);
}

@keyframes zoom-in-out {
  0% {
    -ms-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -ms-transform: scale(1.2);
    transform: scale(1.2);
  }
  100% {
    -ms-transform: scale(1);
    transform: scale(1);
  }
}
